### Method

# Gtk Image get_icon_name

#### Declaration [src]

    const char*
    gtk_image_get_icon_name (
      GtkImage* image
    )

#### Description [src]

Gets the icon name and size being displayed by the `GtkImage`.

The storage type of the image must be `GTK_IMAGE_EMPTY` or `GTK_IMAGE_ICON_NAME` (see gtk_image_get_storage_type()). The returned string is owned by the `GtkImage` and should not be freed.

Gets property | `Gtk.Image:icon-name`

#### Return value

Returns: | `const char*`
| The icon name.
| The data is owned by the instance.
| The return value can be `NULL`.
| The string is a NUL terminated UTF-8 string.